#ifndef UTIL_H
#define UTIL_H

typedef struct
{
	char *name;
	int size;

} FileInfo;

int ShowMenu(FileInfo *info, int count, int flags = 0);
FileInfo *ReadDir(char *dirname, int *count = NULL, char *ext = "");

//#define ASSERT(x) if(!(x)) { fprintf(stderr, "\n***ASSERT: '%s' failed in %s:%d\n", #x, __FILE__, __LINE__); exit(0); }
#define ASSERT(x) if(!(x)) { char tmp[256]; sprintf(tmp, "**ASSERT: '%s' failed in %s(%d)", #x,  __FILE__, __LINE__); Message(tmp, true); exit(0); }
#define ASSERT2(x,s) if(!(x)) { char tmp[256]; sprintf(tmp, "**ASSERT: '%s' in %s(%d)", s,  __FILE__, __LINE__); Message(tmp, true); exit(0); }

extern char basedir[128];
char *BASEDIR(char *dir);

#endif
