/*  Copyright 2006 Jonas Minnberg

    This file is part of OldPlay - a portable, multiformat musicplayer.

    OldPlay is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    OldPlay is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with OldPlay; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef _INPUT_H_
#define _INPUT_H_

class Input
{
public:
	enum {NONE, UP, DOWN, PGUP, PGDOWN, ENTER, BACK, QUIT, VOLUP, VOLDOWN,
	REPEAT, SHUFFLE, FF, REW, PAUSE, BLENDUP, BLENDDOWN, PLISTADD, SELECT,
	NEXT, PREV,
	SCREENSHOT,
	RESIZE };
	int GetKey(int msec);

	Input();
};

#endif
